org.tmatesoft.svn.core.auth

## Class SVNUserNameAuthentication

- java.lang.Object
- - org.tmatesoft.svn.core.auth.SVNAuthentication
  - - org.tmatesoft.svn.core.auth.SVNUserNameAuthentication

    public class SVNUserNameAuthentication
    extends SVNAuthentication

The SVNUserNameAuthentication class represents a simple authentication credential class that uses only a username to authenticate a user. Used along with the `ISVNAuthenticationManager.USERNAME` credential kind.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
Constructor and Description
`SVNUserNameAuthentication(java.lang.String userName, boolean storageAllowed)` Deprecated. use constructor with SVNURL parameter instead
`SVNUserNameAuthentication(java.lang.String userName, boolean storageAllowed, SVNURL url, boolean isPartial)` Creates a username authentication credential.

### Method Summary

### Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication

`getKind, getURL, getUserName, isPartial, isStorageAllowed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNUserNameAuthentication

    public SVNUserNameAuthentication(java.lang.String userName,
                             boolean storageAllowed)

Deprecated. use constructor with SVNURL parameter instead
Creates a username authentication credential.

Parameters:
  `userName` - a user name
  `storageAllowed` - if true then this credential is allowed to be stored in the global auth cache, otherwise not

#### SVNUserNameAuthentication

    public SVNUserNameAuthentication(java.lang.String userName,
                             boolean storageAllowed,
                             SVNURL url,
                             boolean isPartial)

Creates a username authentication credential.

Parameters:
  `userName` - a user name
  `storageAllowed` - if true then this credential is allowed to be stored in the global auth cache, otherwise not
  `url` - url these credentials are applied to
Since:
  1.3.1